MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023142Community[OCCT] OCCT:Modeling Algorithmspublic2012-05-06 19:422013-04-29 15:21
ReporterQbProg 
Assigned Toika 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023142: GccAna : suspicious else
Descriptionsrc\GccAna\GccAna_Circ2d2TanRad.cxx , line 474

if (R1 < R2) { signe = -1; }
else { signe = -1; }

probably the else should be signe = +1 ?

but I'm not sure.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023132closedomy Suspicious code snippets 

-  Notes
(0021730)
ika (developer)
2012-10-11 16:50

Yes, the else should be signe = +1, I have fixed this issue.

Git branch CR23142 is ready to be reviewed.

Dear Oleg,
Please review.
(0021804)
oan (developer)
2012-10-16 18:15

Dear JGV,
Could you please review the fix?
(0021851)
jgv (developer)
2012-10-19 15:04

No remarks
(0022028)
apn (administrator)
2012-10-31 11:53

Dear BugMaster,
Branch CR23142 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

- Related Changesets
occt: master 33a08553
Timestamp: 2012-10-11 12:40:05
Author: ika
Details ] Diff ]
0023142: GccAna : suspicious else

the else should be signe = +1
mod - src/GccAna/GccAna_Circ2d2TanRad.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-05-06 19:42 QbProg New Issue
2012-05-06 19:42 QbProg Assigned To => abv
2012-05-07 09:17 abv Relationship added child of 0023132
2012-05-07 09:29 abv Assigned To abv => dbv
2012-05-07 09:29 abv Status new => assigned
2012-05-07 09:30 abv Category OCCT:Foundation Classes => OCCT:Modeling Algorithms
2012-05-07 09:30 abv Target Version => 6.5.4
2012-10-09 18:33 oan Assigned To dbv => ika
2012-10-11 16:50 ika Note Added: 0021730
2012-10-11 16:50 ika Assigned To ika => oan
2012-10-12 18:51 oan Status assigned => resolved
2012-10-16 18:15 oan Note Added: 0021804
2012-10-16 18:15 oan Assigned To oan => jgv
2012-10-19 15:04 jgv Note Added: 0021851
2012-10-19 15:04 jgv Status resolved => reviewed
2012-10-23 15:47 mkv Assigned To jgv => mkv
2012-10-23 18:41 abv Target Version 6.5.4 => 6.6.0
2012-10-31 11:53 apn Note Added: 0022028
2012-10-31 11:53 apn Test case number => Not needed
2012-10-31 11:53 apn Assigned To mkv => bugmaster
2012-10-31 11:53 apn Status reviewed => tested
2012-11-16 13:03 ika Changeset attached => occt master 33a08553
2012-11-16 13:03 ika Assigned To bugmaster => ika
2012-11-16 13:03 ika Status tested => verified
2012-11-16 13:03 ika Resolution open => fixed
2012-12-10 17:16 ika Changeset attached => occt master 33a08553
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker